#!/usr/bin/env python3
#This contains various helper functions

import pexpect
import time
import datetime
import re

def getTime():
	""" 获取当前时间"""

	return datetime.datetime.now()


def log(text):
	""" 打印当前的日志信息 """

	timestamp_str = getTime()
	fulltext = "%s\t %s" %(timestamp_str, text)
	
	print(fulltext)


#Converting inputs like 966.95kpps or 1MPPS to float with raw PPS
def strToPktrate(rate_str):
	rate_str = rate_str.lower()
	
	number = float(re.findall("[0-9]+\.[0-9]+|[0-9]+", rate_str)[0])
	
	order = str(re.findall("[km]?pps", rate_str)[0])
	
	#print(number)
	#print(order)
	#print()
	
	if order == "pps":
		return number
	elif order == "kpps":
		return number*1000
	elif order == "mpps":
		return number*1000000
	
	
	return None
