# DTA - Translator
该目录包含 DTA Translator 组件的代码

## Prerequisites
您需要一个已完全安装并可运行的 Tofino 交换机
请按照资源库根目录中的设置指南进行操作

## Setup
1. 编译 Translator 的管道代码 [here](p4src/dta_translator.p4)
2. 更新 switch_cpu.py 中的端口映射，使其与物理连接情况相匹配
3. 更新 init_rdma_connection.py 中的初始 RDMA 数据包
4. ...

## Runtime
1. 在 Tofino ASIC 上启动已编译的管道
2. 配置端口
3. 启动交换机上的 CPU 组件 `$SDE/run_bfshell.sh -b <script> -i` (replace `<script>` with the path to [switch_cpu.py](switch_cpu.py), e.g., `~/dta_codes/translator/switch_cpu.py`)
4. ...
